# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Object.hpp File Reference

`#include <vlCore/checks.hpp>`
`#include <vlCore/IMutex.hpp>`
`#include <string>`

Go to the source code of this file.

## Classes

class | vl::Object
| The base class for all the reference counted objects. More...
class | vl::ref< T >
| The ref<> class is used to reference-count an Object. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

template<class T1 , class T2 >
bool | vl::operator== (const ref< T1 > &o1, const ref< T2 > &o2)
template<class T1 , class T2 >
bool | vl::operator!= (const ref< T1 > &o1, const ref< T2 > &o2)
template<class T1 , class T2 >
bool | vl::operator== (const ref< T1 > &o1, T2 *o2)
template<class T1 , class T2 >
bool | vl::operator!= (const ref< T1 > &o1, T2 *o2)
template<class T1 , class T2 >
bool | vl::operator== (T1 *o1, const ref< T2 > &o2)
template<class T1 , class T2 >
bool | vl::operator!= (T1 *o1, const ref< T2 > &o2)

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.